Create a mind

Creates a mind in the project associated with the bearer key.

POST/v1/minds

Authorization

bearerAuth
AuthorizationBearer <token>

A project-scoped API key. Store it only on a trusted backend.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/minds" \  -H "Content-Type: application/json" \  -d '{    "name": "Support assistant"  }'
{  "id": "mind_example",  "name": "Support assistant",  "status": "active",  "recall_scope": "actor",  "contemplation_level": "balanced",  "contemplation": {    "mode": "active",    "interval_minutes": 15,    "dormant_after_minutes": 15,    "final_pass": true,    "maximum_runs_per_24_hours": 32  },  "created_at": "2026-08-31T12:00:00.000Z"}
{  "type": "error",  "error": {    "type": "string",    "message": "string"  },  "request_id": "string"}
{  "type": "error",  "error": {    "type": "string",    "message": "string"  },  "request_id": "string"}
{  "type": "error",  "error": {    "type": "string",    "message": "string"  },  "request_id": "string"}